Letscode on Raspberry Pi

letscode software download (elecrow.com)

I have purchased both the Crowpi and the whole set of 5 , Crowbits

at the Kickstarter. From the above site , I find that I can download the Lescode IDE to my Crowpi and I did this but and when I tried to install the IDE on my Crowpi , this above appeared on the screen but after this " installation", I just could not find how to start the program , as the say , shortcut is just no where found and it did not go through the step of "exe" . I am a 60+ year old retiree, feeling pretty helpless with this problem . Looking forward to your kind reply . I have this Letcode working on my Win 10 and OK

Comments

  • BTW, the above pic showed the box with info " do you want to install this file ?"

  • I think, if this is going to work, it would be of enormous help in my self learning in Python text coding , which I take very serious, even as a hobby for a retiree

  • I think I have to clarify one point ie the Letcode that I have downloaded to my win10 laptop works fine , but only that , I may be thinking in a wrong direction ie those blocks with the Raspberry Pi version may work for say GPIO pins etc etc . Or if it just another similar version with win 10 , I think I would be satisfied with my Letscode on my win 10 laptop . Happy coding

  • @sky28888

    Debain package (.deb) installation requires root permission, thus clicking the "Install" button to start the installation will result with an error,

    The proper installation steps under Raspberry Pi OS (formerly known as Raspbian) are:

    1) Open a new terminal windows (Ctrl+Alt+T).

    2) Change the current directory to where you have downloaded the application package file (i.e. ~/Downloads):

    cd ~/Downloads

    3) Start the installation with root permission:

    sudo dpkg -i Letscode_3.4.0-rc.3.3_armv7l.deb

    4) The installation should complete as below:

    5) Launch Letscode under Menu -- Education -- Letscode

    Happy coding...

  • I have encountered a similar problem recently, and I am trying to solve it

  • I do not see the Crow bits Extensions Using Rpy4

Sign In or Register to comment.